Execute a universal outbound payment (alias of /api/pay)
curl --request POST \
--url https://mag3nt.com/api/pay/external \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"card_id": "<string>",
"card_token": "<string>",
"url": "<string>",
"method": "POST",
"body": {},
"headers": {}
}
'import requests
url = "https://mag3nt.com/api/pay/external"
payload = {
"card_id": "<string>",
"card_token": "<string>",
"url": "<string>",
"method": "POST",
"body": {},
"headers": {}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
card_id: '<string>',
card_token: '<string>',
url: '<string>',
method: 'POST',
body: JSON.stringify({}),
headers: {}
})
};
fetch('https://mag3nt.com/api/pay/external', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"transaction_id": "<string>",
"amount_debited": 123,
"merchant_amount": 123,
"platform_fee": 123,
"token": "<string>",
"network": "<string>",
"protocol": "<string>",
"settlement": {
"status": "<string>",
"tx_hash": "<string>"
}
}Payments
Execute a universal outbound payment (alias of /api/pay)
Identical handler to POST /api/pay. Prefer this path when disambiguating from the /api/pay//* pay-link routes.
POST
/
api
/
pay
/
external
Execute a universal outbound payment (alias of /api/pay)
Authorizations
API key prefixed with 'Bearer sx_live_...'
Body
application/json
Card identifier (sx_...)
Card secret token (tok_...)
The external payment-protected URL to pay
HTTP method to use when probing the URL
JSON request body to trigger a priced challenge
Optional headers for the probe request
⌘I